#
# spec file for package python-google-crc32c
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
%define modname google-crc32c
Name:           python-google-crc32c
Version:        1.5.0
Release:        2.4
Summary:        A python wrapper of the C library 'Google CRC32C'
License:        Apache-2.0
URL:            https://github.com/googleapis/python-crc32c
Source:         https://github.com/googleapis/python-crc32c/archive/refs/tags/v%{version}.tar.gz#/google-crc32c-%{version}.tar.gz
BuildRequires:  %{python_module cffi >= 1.0.0}
BuildRequires:  %{python_module devel >= 3.7}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  libcrc32c-devel
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module pytest}
# /SECTION
%python_subpackages

%description
A python wrapper of the C library 'Google CRC32C'.

%prep
%autosetup -p1 -n python-crc32c-%{version}

%build
export CFLAGS="%{optflags}"
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%check
%pytest_arch

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitearch}/google_crc32c
%{python_sitearch}/google_crc32c-%{version}.dist-info

%changelog
* Sat Dec 16 2023 Dirk Müller <dmueller@suse.com>
- use modern python stack for sle15
* Tue Sep  6 2022 John Vandenberg <jayvdb@gmail.com>
- Update to v1.5.0
  * add support for Python 3.11
  * drop support for python 3.6
  * fix changelog header to consistent size
- from v1.4.0
  * add 'py.typed' declaration
  * add empty slots to CommonChecksum
* Thu Apr  7 2022 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Update to version 1.3.0
  Features
  * add support for Python 3.10 (#116)
- from version 1.2.0
  Features
  * build wheels using CIBuildWheel (#103)
  Documentation
  * update list of supported wheel platforms / architectures (#105)
- from version 1.1.5
  Bug Fixes
  * revert to silent fallback to pure-Python build (#93)
  * fix segfault on MacOS 11 ("Big Sur") for Python < 3.9 (#93)
- from version 1.1.4
  Bug Fixes
  * advise setting 'CRC32C_PURE_PYTHON' after build failure (#84)
  * restore building 'manylinux1' wheels (#87)
  * use correct Python 3.10 specifier (#88)
- from version 1.1.3
  Performance Improvements
  * replace CFFI with a native C extension (#76)
* Fri Jun  4 2021 Matej Cepl <mcepl@suse.com>
- Initial packaging effort for google-crc32c version 1.1.2.
